Provides the core functionality of Boto3, the AWS SDK for Python


License
Apache-2.0
Install
conda install -c anaconda botocore

Documentation

botocore

https://secure.travis-ci.org/boto/botocore.png?branch=develop https://codecov.io/github/boto/botocore/coverage.svg?branch=develop

A low-level interface to a growing number of Amazon Web Services. The botocore package is the foundation for the AWS CLI as well as boto3.

On 10/09/2019 support for Python 2.6 and Python 3.3 was deprecated and support will be dropped on 01/10/2020. To avoid disruption, customers using Botocore on Python 2.6 or 3.3 will need to upgrade their version of Python or pin the version of Botocore in use prior to 01/10/2020. For more information, see this blog post.

Documentation

Documentation for botocore can be found here.

Getting Help

We use GitHub issues for tracking bugs and feature requests and have limited bandwidth to address them. Please use these community resources for getting help. Please note many of the same resources available for boto3 are applicable for botocore: